<?php
class Func
{	
	/*	
		#Function that check exists file or not exists. First file must be /controllers/NAME.php, second /templets/NAME.html
		
		$name - name of file to check
		
		return: true - if file exists and false if not exists/not implement Base (call write log fuction)
	*/
	static public function check_page($name)
	{
		if (!file_exists(ROOT.'/controllers/'.$name.'.php') || !file_exists(ROOT.'/templates/'.$name.'.html'))
		{
			Func::write_error('[include] Requested file not exists: '.$name);
			return false;
		} 
		else if (!new $name() instanceof Base)
		{
			Func::write_error('[extending] Requested class not extend Base interface: '.$name);
			return false;
		} 
		else 
		{
			return true;	
		}
	}
	
	/*	
		#Function that write logs
		$error - error-message to write
		$type - type of error, if it`s DB error pass 'pdo', else 'errors'
		
		return: nothing
	*/
	static public function write_error($error, $type = 'errors')
	{
		$error .= ' ('.date("d.m.Y - G:H:s", time()).')';
		$file = fopen(ROOT.'/logs/'.($type == 'pdo' ? 'pdo' : 'errors').'.dat','a+');
		fwrite($file, $error); 
		fwrite($file, "\r\n"); 
		fclose($file); 
	}
}
?>